easy_admin:
  design:
    assets:
      css:
        - "/assets/css/custom_css.css"
  entities:
    Subject:
      class: App\Entity\Subject
    Day:
      class: App\Entity\Day
    Event:
      class: App\Entity\Event
      new:
        fields:
          - titre
          - { property: "imageFile", type: "vich_image" }
          - pubAt
          - description
          - classes
      edit:
        fields:
          - titre
          - { property: "imageFile", type: "vich_image" }
          - pubAt
          - description
    User:
      class: App\Entity\User
    Classe:
      class: App\Entity\Classe
    Emploi:
      class: App\Entity\Emploi
      new:
        fields:
          - title
          - classe
          - {
              property: "days",
              type: "collection",
              type_options:
                { entry_type: 'App\Form\DayType', by_reference: false },
            }

    Enfant:
      class: App\Entity\Enfant
      list:
        fields:
          - nom
          - prenom
          - sexe
          - isPayed
          - classe
          - parent
          - { property: "photo", type: "image", base_path: "%uploads_path%" }
      new:
        fields:
          - nom
          - prenom
          - sexe
          - dob
          - isPayed
          - { type: "group", label: "Important Information" }
          - { property: "photoFile", type: "vich_image" }
          - classe
          - parent
    Rapport:
      class: App\Entity\Rapport
      new:
        fields:
          - titre
          - { property: "contenu", type: "text_editor" }
          - { property: "remarques", type: "text_editor" }
          - { property: "imageFile", type: "vich_image" }
          - rating
          - enfant
          - parent
      edit:
        fields:
          - titre
          - { property: "contenu", type: "text_editor" }
          - { property: "remarques", type: "text_editor" }
          - { property: "imageFile", type: "vich_image" }
          - rating
          - enfant
          - parent
      list:
        fields:
          - titre
          - sendAt
          - enfant
          - parent
          - {
              property: "image",
              type: "image",
              base_path: "%uploads_rapports%",
            }
    Depense:
      class: App\Entity\Depense
    FeedBack:
      class: App\Entity\FeedBack
